 /***************************************************************************
 *  xmemory.h
 *
 *  Sun Nov 14 10:49:20 2004
 *  Copyright  2004 Ing. Stefano Salvi
 *  Email stefano@salvi.mn.it
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 

#ifndef XMEMORY_H
#define XMEMORY_H

#ifndef MEMORY_H
#include "memory.h"
#endif
class ppiinterface;

class XDataMemory : public Memory {
friend class CodeMemory;
	ppiinterface *PPI;
protected:
	unsigned char *masks;
	void load (int stad, int endad);
public:
	static const int size = 0x7800 - 0x50;
	virtual void reload ();					// Ricarica l'intero contenuto dello spazio
	virtual void saveValue (int pos);	// Registra il dato sulla scheda
	void checkRange (int start, int end);
	virtual void SetDato (unsigned ad,char val);
	virtual unsigned char GetDato (unsigned ad);

	void setPPI (ppiinterface *c_PPI) { PPI = c_PPI; };

	XDataMemory (int c_start, int c_size);
	XDataMemory (unsigned char *d, unsigned char *m, int c_start, int c_size) : Memory (d, c_start, c_size) { masks=m; };
};

#endif
