/***************************************************************************
 *  messageinterface.cc
 *
 *  Sun Nov 14 10:49:20 2004
 *  Copyright  2004 Ing. Stefano Salvi
 *  Email stefano@salvi.mn.it
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#include <glib/gmacros.h>
#include <glib.h>
#include <gtkmm.h>
#include <libgnomemm.h>

#include "dialogs.h"
#include "messageinterface.h"

int MessageInterface::doYesDialog (char *title, char *Si, char *message, ...)
{
va_list ap;
	va_start (ap,message);
    int ret = MessageDialog::runDialog (title, 1, Si, NULL, NULL, message, ap); 
	va_end (ap); 
	return ret; 
}

int MessageInterface::doYesNoDialog (char *title, char *Si, char *No, char *message, ...) 
{
va_list ap; 
	va_start (ap,message); 
	int ret = MessageDialog::runDialog (title, 2, Si, No, NULL, message, ap); 
    va_end (ap); 
	return ret; 
}

int MessageInterface::doYesNoCancelDialog (char *title, char *Si, char *No, char *Annulla, char *message, ...) 
{
va_list ap;
	va_start (ap,message); 
	int ret = MessageDialog::runDialog (title, 3, Si, No, Annulla, message, ap); 
    va_end (ap);
	return ret; 
}
