/***************************************************************************
 *  dialogs.h
 *
 *  Sun Nov 14 10:49:20 2004
 *  Copyright  2004 Ing. Stefano Salvi
 *  Email stefano@salvi.mn.it
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 

#ifndef DIALOGS_H
#define DIALOGS_H

#ifndef va_arg
#include <stdarg.h>
#endif
#ifndef GTK_RESPONSE_ACCEPT
#include <gtk/gtkdialog.h>	// Per i codici di ritprno dei bottoni
#endif

/* class labelField : public sigc::object  { */
class labelField {
  Gtk::HBox box;
  Gtk::Label lfLabel;
protected:
  Gtk::Entry testo;
public :
  labelField (char *label = "");
  Gtk::HBox *getBox () { return &box; };
  Gtk::Entry *getText () { return &testo; };
  void set_text (char *text) { testo.set_text (text); };
  void set_label (char *text) { lfLabel.set_text (text); };
  void set (char *text) { lfLabel.set_text (text); };
  void get_text(char *buf, int l);
  Glib::ustring get_string () { return testo.get_text(); };
};

class MessageDialog {
friend class MessageInterface;
  enum risps { yes=GTK_RESPONSE_ACCEPT, no=GTK_RESPONSE_REJECT, cancel=GTK_RESPONSE_CANCEL};
  static Gtk::Dialog *yesNoCancelDialog;
  static Gtk::Button *YesButton;
  static Gtk::Button *NoButton;
  static Gtk::Button *CancelButton;
  static Gtk::Label *yesNoCancelMessage;

  static void printMessage (Gtk::Label *label,char *message,va_list ap);
protected:
  static int runDialog (char *title, int nButt, char *Si, char *No, char *Annulla, char *message, va_list ap);
public:
};

class LabelDialog  {
  static Gtk::Dialog *dlog;
  static Gtk::Entry *testo;
  static Gtk::Label *Message;
  static Gtk::Button *Confirm;

  static void buildDialog ();
public :
  static char * doGetText (char *msg, char *yeslabel);
};

#endif
