/***************************************************************************
 *  sfrnames.h
 *
 *  Sun Nov 14 10:49:20 2004
 *  Copyright  2004 Ing. Stefano Salvi
 *  Email stefano@salvi.mn.it
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 

#define aP0     0x80
#define aSP     0x81
#define aDPL    0x82
#define aDPH    0x83
#define aPCON   0x87
#define aTCON   0x88
#define aTMOD   0x89
#define aTL0    0x8a
#define aTL1    0x8b
#define aTH0    0x8c
#define aTH1    0x8d
#define aP1     0x90
#define aSCON   0x98
#define aSBUF   0x99    /* Non in finestra SFR */
#define aP2     0xa0
#define aIE     0xa8
#define aP3     0xb0
#define aIP     0xb8
#define aPSW    0xd0
#define aACC    0xe0
#define aB      0xF0

#define bP00    0x80
#define bP01    0x81
#define bP02    0x82
#define bP03    0x83
#define bP04    0x84
#define bP05    0x85
#define bP06    0x86
#define bP07    0x87
#define bIT0    0x88
#define bIE0    0x89
#define bIT1    0x8a
#define bIE1    0x8b
#define bTR0    0x8c
#define bTF0    0x8d
#define bTR1    0x8e
#define bTF1    0x8f
#define bP10    0x90
#define bP11    0x91
#define bP12    0x92
#define bP13    0x93
#define bP14    0x94
#define bP15    0x95
#define bP16    0x96
#define bP17    0x97
#define bRI     0x98
#define bTI     0x99
#define bRB8    0x9a
#define bTB8    0x8b
#define bREN    0x8c
#define bSM2    0x8d
#define bSM1    0x8e
#define bSM0    0x8f
#define bP20    0xa0
#define bP21    0xa1
#define bP22    0xa2
#define bP23    0xa3
#define bP24    0xa4
#define bP25    0xa5
#define bP26    0xa6
#define bP27    0xa7
#define bEX0    0xa8
#define bET0    0xa9
#define bEX1    0xaa
#define bET1    0xab
#define bES     0Xac
#define bEA     0xaf
#define bRxD    0xb0
#define bTxD    0xb1
#define bINT0   0xb2
#define bINT1   0xb3
#define bT1     0xb4
#define bT0     0xb5
#define bWR     0xb6
#define bRd     0xb7
#define bPX0    0xb8
#define bPT0    0xb9
#define bPX1    0xba
#define bPT1    0xbb
#define bPS     0Xbc
#define bP      0xd0
#define bOV     0xd2
#define bRS0    0xd3
#define bRS1    0xd4
#define bF0     0xd5
#define bAC     0xd6
#define bCY     0xd7
#define bACC0   0xe0
#define bACC1   0xe1
#define bACC2   0xe2
#define bACC3   0xe3
#define bACC4   0xe4
#define bACC5   0xe5
#define bACC6   0xe6
#define bACC7   0xe7
#define bB0     0xf0
#define bB1     0xf1
#define bB2     0xf2
#define bB3     0xf3
#define bB4     0xf4
#define bB5     0xf5
#define bB6     0xf6
#define bB7     0xf7
