/***************************************************************************
 *  pcmon.cc
 *
 *  Sun Nov 14 10:49:20 2004
 *  Copyright  2004 Ing. Stefano Salvi
 *  Email stefano@salvi.mn.it
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
 /* NOTE:
 * - Controllare perche' il terminale perde alcuni caratteri dell'eco.
 */
/* Include e librerie:
 * pkg-config --cflags gtkmm-2.4 libgnomemm-2.6:
 * -DXTHREADS -DORBIT2=1 -pthread 
 * -I/usr/include/gtkmm-2.4
 * -I/usr/lib/gtkmm-2.4/include
 * -I/usr/include/glibmm-2.4
 * -I/usr/lib/glibmm-2.4/include
 * -I/usr/include/gdkmm-2.4
 * -I/usr/lib/gdkmm-2.4/include
 * -I/usr/include/pangomm-1.4
 * -I/usr/include/atkmm-1.6
 * -I/usr/include/gtk-2.0
 * -I/usr/include/sigc++-2.0
 * -I/usr/lib/sigc++-2.0/include
 * -I/usr/include/glib-2.0
 * -I/usr/lib/glib-2.0/include
 * -I/usr/lib/gtk-2.0/include
 * -I/usr/X11R6/include
 * -I/usr/include/pango-1.0
 * -I/usr/include/freetype2
 * -I/usr/include/atk-1.0
 * -I/usr/include/libgnomemm-2.6
 * -I/usr/lib/libgnomemm-2.6/include
 * -I/usr/include/libgnome-2.0
 * -I/usr/include/orbit-2.0
 * -I/usr/include/libbonobo-2.0
 * -I/usr/include/gconf/2
 * -I/usr/include/gnome-vfs-2.0
 * -I/usr/lib/gnome-vfs-2.0/include
 * -I/usr/include/bonobo-activation-2.0
 *
 * GNOMEMM_CFLAGS =
 * -DXTHREADS -DORBIT2=1 -pthread 
 * -I/usr/include/libgnomeuimm-2.0
 * -I/usr/lib/libgnomeuimm-2.0/include
 * -I/usr/include/libgnomemm-2.0
 * -I/usr/lib/libgnomemm-2.0/include
 * -I/usr/include/libgnomecanvasmm-2.0
 * -I/usr/lib/libgnomecanvasmm-2.0/include
 * -I/usr/include/gconfmm-2.0
 * -I/usr/lib/gconfmm-2.0/include
 * -I/usr/include/libglademm-2.0
 * -I/usr/lib/libglademm-2.0/include
 * -I/usr/include/libgnomeui-2.0
 * -I/usr/include/gtkmm-2.0
 * -I/usr/lib/gtkmm-2.0/include
 * -I/usr/include/libgnome-2.0
 * -I/usr/include/gtk-2.0
 * -I/usr/lib/sigc++-1.2/include
 * -I/usr/include/sigc++-1.2
 * -I/usr/include/glib-2.0
 * -I/usr/lib/glib-2.0/include
 * -I/usr/lib/gtk-2.0/include
 * -I/usr/X11R6/include
 * -I/usr/include/pango-1.0
 * -I/usr/include/freetype2
 * -I/usr/include/atk-1.0
 * -I/usr/include/orbit-2.0
 * -I/usr/include/libbonobo-2.0
 * -I/usr/include/gconf/2
 * -I/usr/include/gnome-vfs-2.0
 * -I/usr/lib/gnome-vfs-2.0/include
 * -I/usr/include/bonobo-activation-2.0
 * -I/usr/include/libgnomecanvas-2.0
 * -I/usr/include/libart-2.0
 * -I/usr/include/libglade-2.0
 * -I/usr/include/libxml2
 * -I/usr/include/libbonoboui-2.0
 *INCLUDES =
 * $(GNOMEMM_CFLAGS)
 * -I/usr/include/gtkmm-2.4/
 * -I/usr/lib/gtkmm-2.4/include/
 * -I/usr/include/glib-2.0/
 * -I/usr/lib/glib-2.0/include/
 * -I/usr/include/sigc++-2.0/
 * -I/usr/lib/sigc++-2.0/include/
 * -I/usr/include/gtk-2.0/
 * -I/usr/lib/gtk-2.0/include/
 * -I/usr/include/pango-1.0/
 * -I/usr/include/atk-1.0/
 * -I/usr/include/libgnomemm-2.6/
 * -I/usr/include/libgnome-2.0/
 * -I../include/
 * -I/usr/include/glibmm-2.4/
 * -I/usr/lib/glibmm-2.4/include/
 * -I/usr/lib/gdkmm-2.4/include/
 * -I/usr/include/gdkmm-2.4/
 * -I/usr/include/pangomm-1.4/
 * -I/usr/include/atkmm-1.6/
 *
 *pkg-config --libs gtkmm-2.4 libgnomemm-2.6:
 * -Wl,--export-dynamic 
 * -pthread
 * -lgnomemm-2.6
 * -lgtkmm-2.4
 * -lgnome-2
 * -lpopt
 * -lgdkmm-2.4
 * -latkmm-1.6
 * -lgtk-x11-2.0
 * -lpangomm-1.4
 * -lglibmm-2.4
 * -lsigc-2.0
 * -lgdk-x11-2.0
 * -latk-1.0
 * -lgdk_pixbuf-2.0
 * -lpangoxft-1.0
 * -lpangox-1.0
 * -lpango-1.0
 * -lgobject-2.0
 * -lgnomevfs-2
 * -lbonobo-2
 * -lgconf-2
 * -lbonobo-activation
 * -lORBit-2
 * -lm
 * -lgmodule-2.0
 * -ldl
 * -lgthread-2.0
 * -lglib-2.0
 *
 * GNOMEMM_LIBS = 
 * -Wl,--export-dynamic -pthread
 * -L/usr/X11R6/lib
 * -lgnomeuimm-2.6
 * -lgnomemm-2.6
 * -lgnomecanvasmm-2.6
 * -lgconfmm-2.6
 * -lglademm-2.4
 * -lgnomeui-2
 * -lSM
 * -lICE
 * -lgtkmm-2.4
 * -lglade-2.0
 * -lgdkmm-2.4
 * -latkmm-1.6
 * -lpangomm-1.4
 * -lglibmm-2.4
 * -lsigc-2.0
 * -lbonoboui-2
 * -lxml2
 * -lpthread
 * -lz
 * -lgnomecanvas-2
 * -lgnome-2
 * -lpopt
 * -lart_lgpl_2
 * -lpangoft2-1.0
 * -lgtk-x11-2.0
 * -lgdk-x11-2.0
 * -latk-1.0
 * -lgdk_pixbuf-2.0
 * -lm -lpangoxft-1.0
 * -lpangox-1.0
 * -lpango-1.0
 * -lgobject-2.0
 * -lbonobo-2
 * -lgconf-2
 * -lgnomevfs-2
 * -lbonobo-activation
 * -lORBit-2
 * -lgmodule-2.0
 * -ldl
 * -lgthread-2.0
 * -lglib-2.0
 */
 /* Bug History:
 * ------- 6/2/05 ---------
 * Corretto erore: I simboli che contenevano numeri venivano troncati alla prima cifra,
 *		quindi due simboli che differivano per caratteri dalla prima cifra in poi venivano
 *		considerati uguali.
 * ------- 12/1/05 ---------
 *	PcMon soffre ancora problemi di ridisegno della finestra durante il trascinamento
 *	(cosa che non succede con le altre applicazioni)
 *	
 *	Ogni Tanto quando premo sul tasto per assemblare pcmon si chiude con "Segmentation fault"
 *	senza altre spiegazioni... usare perror() da qualche parte potrebbe essere utile ?
 *	
 *	EDITOR:
 *	- Se non salvo il file e provo ad assemblarlo, non succede niente Tutto Fermo...
 *	Premendo il pulsante "Chiudi la Finestra" mi compare questo
 *	messaggio: "Il file '(null)' e' stato modificato"
 *	Il (null) che dovrebbe indicare il nome sta' ad indicare che non e' stato
 *	creato nessun nome di default (credo... non ho il sorgente sotto mano).
 * +++ Corretto 19/1/05
 *	- Creando un nuovo documento non ho disponibili le operazioni di
 *	"Annulla l'ultima operazione" e "Ripeti L'ultima annullata"
 *	anche dopo averlo salvato. Devo Riaprire il Documento !
 * +++ Corretto 19/1/05
 *	
 *	ASSEMBLATORE:
 *	- Sarebbe meglio sapere qual'e' l'istruzione sbagliata... Ok so' la linea...
 *	pero' sarebbe meglio vederla anche scritta.
 *	- Cos'hanno di sbagliato i parametri di: "MOVX @DPTR,A", "MOVX A,@DPTR"
 * ++ Corretto 18/1/05
 *	- Ogni Tanto mi per "INC DPTR" l'assemblatore mi dice "Simbolo Non Definito".
 * ++ Non rilevato
 *	
 *	Questo e' quello che ho trovato oggi !
 *	Bertozzi.
 * ------- Fine 12/1/05 ---------
 * Menu Finestre:
 * L' UIManager consente di "mischiare i menu'", vale a dire avere un menu'
 * principale e, a seconda dei casi, aggiungervi un secondo menu'.
 * Possiamo gestire il menu' "finesree" come un menu' aggiunto, eliminato e
 * ricostruito ogni volta che si apre o chiude una finestra di editor.
 * Per un corretto posizionamento della toolbar e dei menu' occorre crearlo
 * dopo che sono state create le finestre figlie.
 */

#include <stdio.h>
#include <sched.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/time.h>
#include <fcntl.h>

 
#include <glib/gmacros.h>
#include <glib.h>
#include <gtkmm.h>
#include <libgnomemm.h>

#include <iostream>	// Per la stampa dell'eventuale errore


#include "monwindow.h"
#include "editwindow.h"
#include "pc.h"
#include "sfr.h"
#include "data.h"
#include "xdata.h"
#include "code.h"
#include "ppiwin.h"

#include "serial.h"

#ifndef _I8052_H
#include "i8052.h"
#endif

#include "dmemory.h"
#include "xmemory.h"
#include "pcmon.h"

// Pixmaps delle toolbar
// #include "../pixmaps/tb_new.xpm"
// #include "../pixmaps/tb_open.xpm"
// #include "../pixmaps/tb_save.xpm"
// #include "../pixmaps/tb_cancel.xpm"
// #include "../pixmaps/tb_cut.xpm"
// #include "../pixmaps/tb_copy.xpm"
// #include "../pixmaps/tb_paste.xpm"
// #include "../pixmaps/tb_delete.xpm"
// #include "../pixmaps/tb_find.xpm"
#include "../pixmaps/tb_find_next.xpm"
// #include "../pixmaps/tb_goto.xpm"
#include "../pixmaps/tb_assemble.xpm"
#include "../pixmaps/tb_upload.xpm"
#include "../pixmaps/tb_run_start.xpm"
// #include "../pixmaps/tb_undo.xpm"
// #include "../pixmaps/tb_redo.xpm"

// #include "../pixmaps/tb_run.xpm"
#include "../pixmaps/tb_singlestep.xpm"
// #include "../pixmaps/tb_refresh.xpm"
#include "../pixmaps/tb_runto.xpm"
// #include "../pixmaps/tb_stop.xpm"

bool Pcmon::isRunning ()
{ 
	return processor -> isRunning ();
}

void Pcmon::setRunning (bool v)
{
	processor -> setRunning (v);
}

void Pcmon::setConnectedMessage (const char*s)
{
	Connected.set_text (s);
}

void Pcmon::setRunningMessage (const char*s)
{
	Running.set_text (s);
}

void Pcmon::setMessage (const char*s)
{
	Message.set_text (s);
}

void Pcmon::tPutc (char c)
{
	drawing_area.tputc (c);
}

void Pcmon::startEmulation ()
{
	Running.set_text ("In Emulazione");
	EmulTimerId = Glib::signal_timeout().connect(sigc::mem_fun(*this,&Pcmon::tick),50);
	stopButton -> set_sensitive(true);
}

/* Fine funzioni per interfaccia seriale */

/* Wrappers per i menu e i bottoni */

void Pcmon::menuRun ()
{
int where;
char *str;
	str = LabelDialog::doGetText("Esegui da",  "Vai");
	if (str) {
		where = strtol (str,NULL,0);
		if (where >= 0)
		{
			processor -> run (where);
		}
		delete (str);
	}
}

void Pcmon::menuRunStart ()
{
	processor -> run (0x8050);
}

void Pcmon::menuRunPc ()
{
	processor -> runPc ();
}

void Pcmon::menuStep ()
{
	processor -> step ();
}

/* Fine wrappers per menu e bottoni */

void Pcmon::ceateStockItem (const char* const* data, const Glib::ustring& id, const Glib::ustring& label)
{
  Glib::RefPtr<Gtk::IconFactory> factory = Gtk::IconFactory::create();
  Gtk::IconSource source;
  try
  {
    //This throws an exception if the file is not found:
    source.set_pixbuf( Gdk::Pixbuf::create_from_xpm_data(data) );
  }
  catch(const Glib::Exception& ex)
  {
    std::cout << ex.what() << std::endl;
  }

  source.set_size(Gtk::ICON_SIZE_SMALL_TOOLBAR);
  source.set_size_wildcarded(); //Icon may be scaled.

  Gtk::IconSet icon_set;
  icon_set.add_source(source); //More than one source per set is allowed.

  const Gtk::StockID stock_id(id);
  factory->add(stock_id, icon_set);
  Gtk::Stock::add(Gtk::StockItem(stock_id, label));
	
  factory->add_default(); //Add factory to list of factories.
}

void Pcmon::menuAndToolbarBuild (void)
{
  // Crea gli "stock items" per la toolbar, per associare le icone
  ceateStockItem (tb_upload_xpm, "pcmon_btn_upload", "Invia Programma a Scheda");
  ceateStockItem (tb_find_next_xpm, "pcmon_btn_findnext", "Trova Ancora");
  ceateStockItem (tb_assemble_xpm, "pcmon_btn_assemble", "Assembla");
  ceateStockItem (tb_run_start_xpm, "pcmon_btn_runstart", "Esegui dall'inizio");
  ceateStockItem (tb_singlestep_xpm, "pcmon_btn_singlestep", "Esegui un'istruzione alla volta");
  ceateStockItem (tb_runto_xpm, "pcmon_btn_runto", "Esegui fino al cursore");

  //Create actions for menus and toolbars:
  m_refActionGroup = Gtk::ActionGroup::create();

  m_refActionGroup->add( Gtk::Action::create("MenuFile", "_File") );
  m_refActionGroup->add( Gtk::Action::create("Apri", Gtk::Stock::OPEN),
  	sigc::mem_fun(*this,&Pcmon::menuOpen) );
  m_refActionGroup->add( Gtk::Action::create("Nuovo", Gtk::Stock::NEW),
  	sigc::mem_fun(*this,&Pcmon::menuNew) );
  m_refActionGroup->add( Gtk::Action::create("Fine", Gtk::Stock::QUIT),
  	sigc::mem_fun(*this,&Pcmon::menuQuit) );
	
  m_refActionGroup->add( Gtk::Action::create("MenuScheda", "_Scheda") );
  m_refActionGroup->add( Gtk::Action::create("Invia",  Gtk::StockID("pcmon_btn_upload")),
  	sigc::mem_fun(*this,&Pcmon::menuUpload) );
  m_refActionGroup->add( Gtk::Action::create("Esegui", Gtk::Stock::EXECUTE),
  	sigc::mem_fun(*this,&Pcmon::menuRun) );
  m_refActionGroup->add( Gtk::Action::create("EseguiInizio", Gtk::StockID("pcmon_btn_runstart")),
  	sigc::mem_fun(*this,&Pcmon::menuRunStart) );
  m_refActionGroup->add( Gtk::Action::create("PassoSingolo", Gtk::StockID("pcmon_btn_singlestep")),
  	sigc::mem_fun(*this,&Pcmon::menuStep) );
  stopButton=Gtk::Action::create("Stop", Gtk::Stock::STOP);
  m_refActionGroup->add( stopButton,
  	sigc::mem_fun(*this,&Pcmon::menuStop) );
  stopButton -> set_sensitive(false);

  /* Creo un menu' finestre ridotto. Quello vero verra' creato
   * quando verra' apero il menu */
  m_refActionGroup->add( Gtk::Action::create("MenuFinestre", "F_inestre") );
  /* Azioni standard del menu finestre */
  m_refActionGroup->add( Gtk::Action::create("SFR", "Special Function Register"),
  	sigc::bind (sigc::mem_fun(*this,&Pcmon::menuShow), (monWindow*) 0) ); // sfr) );

  m_refUIManager = Gtk::UIManager::create();
  m_refUIManager->insert_action_group(m_refActionGroup);
  add_accel_group(m_refUIManager->get_accel_group());

  try
  {
    /* Crea l'immagine per tutti i menu (principale e popup) e le toolbar */
    Glib::ustring ui_info =
        "<ui>"
        "  <menubar name='MenuBar'>"
        "    <menu action='MenuFile'>"
        "      <menuitem action='Apri'/>"
        "      <menuitem action='Nuovo'/>"
        "      <separator/>"
        "      <menuitem action='Fine'/>"
        "    </menu>"
        "    <menu action='MenuScheda'>"
        "      <menuitem action='Invia'/>"
        "      <menuitem action='Esegui'/>"
        "      <menuitem action='EseguiInizio'/>"
        "      <menuitem action='PassoSingolo'/>"
        "      <menuitem action='Stop'/>"
        "    </menu>"
        "    <menu action='MenuFinestre' name='MenuFinestre'>"
        "      <menuitem action='SFR'/>"
	  	"	 </menu>"
        "  </menubar>"
        "  <toolbar  name='ToolBar'>"
        "    <toolitem action='Nuovo'/>"
        "    <toolitem action='Apri'/>"
        "    <separator/>"
        "    <toolitem action='Invia'/>"
		"    <toolitem action='PassoSingolo'/>"
		"    <toolitem action='Esegui'/>"
		"    <toolitem action='EseguiInizio'/>"
		"    <toolitem action='Stop'/>"
        "  </toolbar>"
        "</ui>";

    m_refUIManager->add_ui_from_string(ui_info);
  }
  catch(const Glib::Error& ex)
  {
    std::cerr << "Preparazione dei menu fallita: " <<  ex.what();
  }
  
  //Get the menubar and toolbar widgets, and add them to a container widget:
  Gtk::Widget* pMenubar = m_refUIManager->get_widget("/MenuBar");
  if(pMenubar)
    vbox.pack_start(*pMenubar, Gtk::PACK_SHRINK);
  
  Gtk::Toolbar* toolbar = (Gtk::Toolbar *) m_refUIManager->get_widget("/ToolBar") ;
  if(toolbar)
    vbox.pack_start(*toolbar, Gtk::PACK_SHRINK);
  toolbar->set_toolbar_style(Gtk::TOOLBAR_ICONS);
  
  /* La menubar e' costituita non da menu, ma da "IconMenuItem" ciu sono
   * associati i sottomenu.
   * Associo l'evento di creazione del menu all'evento "activate" dell'item,
   * recupero il menu come sottomenu dell'item e lo ricostruisco alla
   * vecchia maniera
   */
  dynamic_cast<Gtk::MenuItem*>( m_refUIManager -> 
  	get_widget("/MenuBar/MenuFinestre") ) ->
  		signal_activate ().connect(sigc::mem_fun(*this,&Pcmon::windowMenu)); /* Quando si apre */
  
  menu_finestre = dynamic_cast<Gtk::ImageMenuItem*>( m_refUIManager ->
  	get_widget("/MenuBar/MenuFinestre") )->get_submenu();
  if (!menu_finestre) {  
	  printf ("Non riesco ad ottenere il menu finestre\n");
  }
}

/* Crea il menu' 'finestre'.
 * Prima inserisce quelle 'standard',
 * quindi traversa la lista delle finestre di 'edit' e le aggiunge
 */
void Pcmon::windowMenu ()
{
printf ("Menu finestre\n");
	// Prima svuoto il menu'
	while (!menu_finestre->items ().empty()) {
		menu_finestre->items ().pop_back ();	// Elimina il 'menu finestre' corrente
	}
	
	// Aggiungo gli elementi standard
	Gtk::Menu_Helpers::MenuList& list_finestre = menu_finestre->items();
	list_finestre.push_back(Gtk::Menu_Helpers::MenuElem("Special Function Register", 
		sigc::bind (sigc::mem_fun(*this,&Pcmon::menuShow), (monWindow *)sfr)));
	list_finestre.push_back(Gtk::Menu_Helpers::MenuElem("Pc e breakpoint", 
		sigc::bind (sigc::mem_fun(*this,&Pcmon::menuShow), (monWindow *)pc)));
	list_finestre.push_back(Gtk::Menu_Helpers::MenuElem("Spazio Data", 
		sigc::bind (sigc::mem_fun(*this,&Pcmon::menuShow), (monWindow *)data)));
	list_finestre.push_back(Gtk::Menu_Helpers::MenuElem("Spazio XData", 
		sigc::bind (sigc::mem_fun(*this,&Pcmon::menuShow), (monWindow *)xdata)));
	list_finestre.push_back(Gtk::Menu_Helpers::MenuElem("Spazio Code", 
		sigc::bind (sigc::mem_fun(*this,&Pcmon::menuShow), (monWindow *)code)));
	list_finestre.push_back(Gtk::Menu_Helpers::MenuElem("Scheda di Input - Output", 
		sigc::bind (sigc::mem_fun(*this,&Pcmon::menuShow), (monWindow *)PPIWin)));
  
	// Aggiungo le finestre di edit
	if (edits)
	{
	EditWindow *e = edits;
		list_finestre.push_back(Gtk::Menu_Helpers::SeparatorElem());
		while (e)
		{
		char name [80];
			sprintf (name,"%s%s",(e->isChanged ()) ? "* " : "",e->get_title ().data());
			list_finestre.push_back(Gtk::Menu_Helpers::MenuElem(name, 
				bind (sigc::mem_fun(*this,&Pcmon::menuShow), e)));
			e = e -> getNext ();
		}
	}
}

void Pcmon::menuShow (monWindow *toShow)
{
	if (toShow)
		toShow -> display ();
}

void Pcmon::menuStop ()
{
	processor -> stop ();
	Running.set_text ("Non In Esecuzione");
	stopButton -> set_sensitive(false);

	sfr -> redraw ();
	pc -> redraw ();
	data -> redraw ();
	xdata -> redraw ();
	code -> redraw ();
	PPIWin -> redraw ();
}

/* Relative all'editor */
void Pcmon::delEditor (EditWindow *e)
{
    if (e == edits) {
		edits = e->getNext ();
    } else {
    EditWindow *c = edits;
		while (c)
		{
			if (e == c -> getNext ()) {
				c -> setNext (e->getNext ());
				break;
			}
			c = c -> getNext ();
		}
    }
	delete e;
}

void Pcmon::menuNew ()
{
	edits = new EditWindow (this, edits);
	edits -> show ();
}

void Pcmon::menuOpen ()
{
int result;
	Gtk::FileSelection dialog("Seleziona il file sorgente da editare");
	dialog.set_transient_for(*this);

	result = dialog.run();

	//Handle the response:
	if (result == Gtk::RESPONSE_OK) {
		int len = dialog.get_filename().length ();
		if (len) {
			char *file = new char [len + 1];
			strncpy (file, dialog.get_filename().data (),len);
			file [len] = 0;
			edits = new EditWindow (this, edits);
			edits -> show ();
			edits -> openfile (file);
			// delete (file); Non deve cancellarlo, perche' ne salva un puntatore
		}
	}
}

void Pcmon::menuQuit ()
{
    quit ();
}

bool Pcmon::on_delete_event (GdkEventAny *e)
{
	return quit ();
}

int Pcmon::quit ()
{
	while (edits)
	{
		if (!edits -> realClose (false)) {
			return true;
		}
		EditWindow *old = edits;
		edits = edits -> getNext ();
		delete old;
	}
	if (s) {
 		delete (s);
		s = NULL;
	}
	gtk_exit (0);
	return false;
}

void Pcmon::doUpload (char *file)
{
	processor->doUpload (file);
}

void Pcmon::menuUpload()
{
int result;
	Gtk::FileSelection dialog("Seleziona il programma sa scaricare nella scheda");
	dialog.set_transient_for(*this);

	result = dialog.run();

	//Handle the response:
	if (result == Gtk::RESPONSE_OK) {
		int len = dialog.get_filename().length ();
		if (len) {
			char *file = new char [len + 1];
			strncpy (file, dialog.get_filename().data (),len);
			file [len] = 0;
			processor -> doUpload (file);
			delete (file);
		}
	}
}

void Pcmon::reload ()
{
	processor -> reload ();
}

gint Pcmon::selectionclosed(GdkEventAny*)
{
	printf("Selectionclosed\n");
	// WHY DOESNT PASSING THIS RETURN VALUE WORK? It should NOT delete
	// GtkFileSelection object when this returns true... but it does
        // and I have no idea why... I'd guess gtk never gets this true..
        // needs investigating.

	// I think we now return it correctly, but...
	// returning false works, but it'll delete the dialog
	// retyrning true does something odd, the main window
	// nor future widget's resize events doesny work...
	//fs->hide();
	//fs=0;
	return true;
}

bool Pcmon::on_key_press_event (GdkEventKey* p1)
{
char *c = p1->string;
	s -> schSends (c);
	processor -> receiver (c [0]);	// Invia all'emulatore il solo primo carattere 
	return false;
}

bool Pcmon::tick()
{
	processor -> redrawIfChanged ();
	return true;
}

void Pcmon::assembler (const char *source, errorInterface *msg)
{
	processor -> assembler (source, msg);
}

Pcmon::Pcmon(char *sname) : 
  vbox (false, 5),
  status (false, 5),
  Message (""),
  Connected ("Connesso"),
  Running ("Non In Esecuzione")
{
    EmulTimerId.disconnect ();

    edits = NULL;

    s = new Serial (sname, this);

    set_events (Gdk::KEY_PRESS_MASK);

    set_resizable (false);		// Finestra non ridimensionabile

    add (vbox);

    menuAndToolbarBuild ();		// Deve aver la finestra visualizzata per le icone
	
	windowUiMergeId = 0;		// All'inizio non ha il menu finestre

    /* Create the drawing area */
    vbox.pack_start (drawing_area, true, true, 0);
	signal_focus_out_event().connect (sigc::mem_fun(drawing_area, &terminal_drawing_area::lostFocus));
	signal_focus_in_event().connect (sigc::mem_fun(drawing_area, &terminal_drawing_area::gotFocus));

    ConnFrame.add (Connected);
    status.pack_start (ConnFrame, false, false, 0);
    RunFrame.add (Running);
    status.pack_start (RunFrame, false, false, 0);
    status.pack_start (Message, true, true, 0);
    vbox.pack_start (status, true, true, 0);

	// Crea il processore
	processor = new i8052 (this);


    // Crea finestre del monitor
    PPIWin = new ppiwin (processor);
    sfr = new Sfr (this, processor);
    pc = new Pc (this, processor);
    data = new PcData (this, processor->GetData ());
    xdata = new XData (this, processor->GetXData ());
    code = new Code (this, processor);

	// rebuildWindowMenu ();
	show_all_children();
    grab_focus ();
} 

int main(int argc, char **argv)
{
int i;
char *tty = "/dev/ttyS0";
    Gtk::Main kit(argc, argv);
    for (i = 0; i < argc; i++) {
      if (argv [i][0] == '-') {
		switch (argv [i][1])
		{
		  case 't':
			tty = argv [i] + 2;
			break;
		  default:
			printf ("Parametro sbagliato '%s'\nRiconosce solo '-t/dev/ttyname'\n", argv [i]);
		}
	  }
   }
   Pcmon w (tty);
   Gtk::Main::run(w);
   return 0;
}
